ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

StgCmmArgRep

# Documentation

data ArgRep Source

Constructors

P |
N |
L |
V |
F |
D |
V16 |
V32 |
V64 |

Instances

Outputable ArgRep |

toArgRep :: PrimRep -> ArgRep Source

argRepSizeW :: DynFlags -> ArgRep -> WordOff Source

argRepString :: ArgRep -> String Source

isNonV :: ArgRep -> Bool Source

idArgRep :: Id -> ArgRep Source

slowCallPattern :: [ArgRep] -> (FastString, RepArity) Source